%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 10.0 ]; then echo 1; else echo 0; fi)}

%define	name	k3b
%define	version	0.11.1
%define	i18nver	0.11
%define	release	15mdk
%define	Summary	CD-Burner for KDE3
%define	major	1
%define	libname	%mklibname %name %major


Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-i18n-%{i18nver}.tar.bz2
#Patch0:	%{name}-0.9-dontrunk3bsetupatstartup.patch.bz2
#Patch1:	%{name}-0.9-k3bsetup-defaultpathandgroup.patch.bz2
#Patch2:	%{name}-0.8.1-cdda-dlopen.patch.bz2
#Patch3:	%{name}-0.9-fix-path.patch.bz2
#Patch5:	%{name}-0.9-use-exclude-servicetype.patch.bz2
#Patch6:	k3b-fix-exclude-kdedevice.patch.bz2
#Patch7:	k3b-0.9-dont-display-root-cdrecord.patch.bz2

Patch1:		k3b-0.11.1-dont-display-messagebox.patch.bz2

Patch2:		k3b-0.11.1-fix-servicemenu.patch.bz2

Patch3:		k3b-0.11.1-fix-load-config.patch.bz2

URL: 		http://k3b.sourceforge.net/
Requires: 	cdrecord mkisofs cdrdao kdebase sox 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if !%buildfor9_2 && !%buildfor10_0
BuildRequires:  libcdda0-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng3-devel
BuildRequires:  XFree86-devel
BuildRequires:	libmad0-devel
BuildRequires:  libarts-devel
BuildRequires:  libart_lgpl2-devel
BuildRequires:  libfam-devel
BuildRequires:  libaudiofile0-devel
BuildRequires:  libalsa2-devel
BuildRequires:  libvorbis0-devel
BuildRequires:  libnas2-devel
%else
BuildRequires:  libcdda-devel
BuildRequires:  kdelibs-devel 
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  XFree86-devel
BuildRequires:  mad-devel
BuildRequires:  arts-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  fam-devel
BuildRequires:  audiofile-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libvorbis-devel
BuildRequires:  nas-devel libflac++-devel
%endif


Obsoletes:	kde3-k3b
Provides:	kde3-k3b

Conflicts:	k3b <= 0.9-3mdk

Requires: %libname = %version-%release

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 


%package -n	k3b-dvd
Group:		Archiving/Cd burning
Summary:	k3b with DVD support
Requires:	%name
Requires:	dvd+rw-tools

%description -n k3b-dvd
K3b with requires for dvd


%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %Name
Provides: 	lib%name = %version-%release

Conflicts:  k3b <= 0.9-3mdk

%description -n	%libname
The libraries from %name package

%package -n	%libname-devel
Group: 		Development/Other
Summary: 	Libraries for %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release

Provides: 	%{name}-devel = %{version}-%{release}

Obsoletes:	%{name}-devel

Conflicts:  k3b <= 0.9-3mdk

%description -n %libname-devel
Development libraries from %name

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%patch1 -p1 -b .dont_display_messagebox
%patch2 -p1 -b .fix_servicemenu
%patch3 -p1 -b .fix_k3bsetup
#%patch0 -p1 -b .dontrunk3bsetupatstartup
#%patch1 -p1 -b .k3bsetup-defaultpathandgroup
#%patch2 -p1 -b .cdda-dlopen
#%patch3	-p1 -b .fixpath
)

#%patch5 -p1 -b .use_exclude_servicetype
#%patch6 -p1 -b .exclude_kdedevice

#%patch7 -p1 -b .dont_display_cdrecord_dialogbox


%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
make -f Makefile.cvs
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
		--enable-final \
	    --disable-debug 
%make 
)

(
cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{i18nver}
make -f Makefile.cvs
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make
)


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%makeinstall
)

(
cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{i18nver}
%makeinstall
)

install -d %buildroot/%_menudir/
install -d %buildroot/%_datadir/applications/kde/

kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/%{name}.desktop %buildroot/%_menudir/%{name} 
kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3b-k3bsetup2 kde


kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-cue.desktop %buildroot/%_menudir/k3b-cue kde

#Necessary to change title otherwise menu program didn't create twice menu entry with same nam
perl -pi -e "s/K3b/K3b-cue/"  %buildroot/%_menudir/k3b-cue

kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-iso.desktop %buildroot/%_menudir/k3b-iso kde
perl -pi -e "s/K3b/K3b-iso/"  %buildroot/%_menudir/k3b-iso

############"FIXME for next MDK release
###createmdkmenu.sh %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop Configuration-KDE-System-mdk kde

#kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3bsetup2 kde

#kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/k3bsetup.desktop %buildroot/%_menudir/k3bsetup
#fix menu warning
echo >> %buildroot/%_menudir/%{name}

#cat %buildroot/%_menudir/k3bsetup >> %buildroot/%_menudir/k3b
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%{name}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%{name}.png %buildroot/%_miconsdir

# Remove icons in servicemenu
cd %buildroot/%_datadir/apps/konqueror/servicemenus/
for i in *.desktop
		do perl -pi -e "s|Icon.*||" $i
done
cd -				

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%doc %{_docdir}/HTML/en/%{name}
%dir %_docdir/HTML/da/
%dir %_docdir/HTML/da/k3b/
%doc %_docdir/HTML/da/k3b/common
%doc %_docdir/HTML/da/k3b/*.docbook
%doc %_docdir/HTML/da/k3b/*.bz2

%dir %_docdir/HTML/de/
%dir %_docdir/HTML/de/k3b/
%doc %_docdir/HTML/de/k3b/common
%doc %_docdir/HTML/de/k3b/*.docbook
%doc %_docdir/HTML/de/k3b/*.bz2

%dir %_docdir/HTML/es/
%dir %_docdir/HTML/es/k3b/
%doc %_docdir/HTML/es/k3b/common
%doc %_docdir/HTML/es/k3b/*.docbook
%doc %_docdir/HTML/es/k3b/*.bz2

%dir %_docdir/HTML/et/
%dir %_docdir/HTML/et/k3b/
%doc %_docdir/HTML/et/k3b/common
%doc %_docdir/HTML/et/k3b/*.docbook
%doc %_docdir/HTML/et/k3b/*.bz2

%dir %_docdir/HTML/fr/
%dir %_docdir/HTML/fr/k3b/
%doc %_docdir/HTML/fr/k3b/common
%doc %_docdir/HTML/fr/k3b/*.docbook
%doc %_docdir/HTML/fr/k3b/*.bz2

%dir %_docdir/HTML/pt/
%dir %_docdir/HTML/pt/k3b/
%doc %_docdir/HTML/pt/k3b/common
%doc %_docdir/HTML/pt/k3b/*.docbook
%doc %_docdir/HTML/pt/k3b/*.bz2


%dir %_docdir/HTML/ru/
%dir %_docdir/HTML/ru/k3b/
%doc %_docdir/HTML/ru/k3b/common
%doc %_docdir/HTML/ru/k3b/*.docbook
%doc %_docdir/HTML/ru/k3b/*.bz2

%dir %_docdir/HTML/sv/
%dir %_docdir/HTML/sv/k3b/
%doc %_docdir/HTML/sv/k3b/common
%doc %_docdir/HTML/sv/k3b/*.docbook
%doc %_docdir/HTML/sv/k3b/*.bz2
%doc %_docdir/HTML/sv/k3b/*.png



%_bindir/*
%_menudir/*
%_datadir/applnk/Multimedia/*
%_datadir/applnk/Settings/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*

%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/*
%_datadir/icons/crystalsvg/16x16/apps/*.png
%_datadir/icons/crystalsvg/32x32/apps/*.png
%_datadir/icons/crystalsvg/48x48/apps/*.png
%_datadir/icons/crystalsvg/64x64/apps/*.png
%_datadir/icons/crystalsvg/128x128/apps/*.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%_datadir/sounds/*.wav


%_datadir/applnk/.hidden/*.desktop

###%_datadir/applications/kde/k3bsetup2.desktop

%files -n k3b-dvd

%files -n %libname
%defattr(-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_libdir/libk3bcore.la
%_libdir/libk3bcore.so.*
%_libdir/libk3baudiometainforenamerplugin.la
%_libdir/libk3baudiometainforenamerplugin.so
%_libdir/kde3/libk3bexternalencoder.la
%_libdir/kde3/libk3bexternalencoder.so
%_libdir/kde3/libk3bmaddecoder.la
%_libdir/kde3/libk3bmaddecoder.so
%_libdir/kde3/libk3boggvorbisdecoder.la
%_libdir/kde3/libk3boggvorbisdecoder.so
%_libdir/kde3/libk3boggvorbisencoder.la
%_libdir/kde3/libk3boggvorbisencoder.so
%_libdir/libk3bplugin.la
%_libdir/libk3bplugin.so.*
%_libdir/libk3bproject.la
%_libdir/libk3bproject.so.*

%_libdir/kde3/libk3bsoxencoder.la
%_libdir/kde3/libk3bsoxencoder.so

%_libdir/libk3btools.la
%_libdir/libk3btools.so.*

%_libdir/kde3/libk3bwavedecoder.la
%_libdir/kde3/libk3bwavedecoder.so


%_libdir/kde3/kcm_k3bsetup2.la
%_libdir/kde3/kcm_k3bsetup2.so

%_libdir/kde3/libk3bflacdecoder.la
%_libdir/kde3/libk3bflacdecoder.so
	  

%_libdir/libk3bdevice.so.*
%_libdir/libk3bdevice.la

%files -n %libname-devel
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_includedir/*.h
%_libdir/libk3bcore.so

%_libdir/libk3bplugin.so
%_libdir/libk3bproject.so
%_libdir/libk3btools.so
%_libdir/libk3bdevice.so


%changelog
* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-15mdk
- Add patch3: fix kcontrol->k3bsetup don't signal it as modified when we load config bug found by Nicolas Chipaux

* Tue Mar 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-14mdk
- Fix compile for gb
- Add patch2: fix servicemenu

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-13mdk
- Add patch1: don't display "cdrdao has problems with ATAPI writers" warning messagebox, it works fine without it

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-12mdk
- k3b-i18n was release

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-11mdk
- Fix crash 

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-10mdk
- Apply patch from Charles A Edwards <eslrahc@bellsouth.net> thanks

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-9mdk
- Sync with CVS

* Tue Feb 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-8mdk
- Fix menu entry

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-7mdk
- Rebuild with new kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-6mdk
- Sync with CVS (fix big problem "VideoDVD project did not work at all in 0.11.1")

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-4mdk
- Sync with k3b_0_11_branch
- Add patch8: fix rip crash (on DVD) bug found by Nicolas Chipaux

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-3mdk
- Use libflac

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-2mdk
- Build without libsample

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-1mdk
- 0.11.1 Fix broken mkisofs + kde 3.2 (problem into KProcess)

* Fri Jan 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-1mdk
- 0.11
- drop -fpermissive from %%optflags
- update %%files

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-7mdk
- Fix generate menu

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-6mdk
- Reverte VFolder menu type to 'menu' menu type

* Mon Dec 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10.3-5mdk
- be sure to build and install locale files (fixes #6690)
- drop patche that wasn't applied

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-4mdk
- Fix conflict

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-3mdk
- Fix requires

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-2mdk
- Fix menu

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-1mdk
- 0.10.3

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.2-1mdk
- 0.10.2

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10-1mdk
- 0.10

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9-11mdk
- lib64 fixes

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-10mdk
- Fix kdebase-servicemenu (Patch6)
- Patch7: don't display cdrecord dialogbox to say "You don't have root acces"

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-8mdk
- Remove entry k3bsetup not necessary

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-7mdk
- Fix requires
- Fix Obsoletes

* Mon Sep 01 2003 Laurent Culioli <laurent@pschit.net> 0.9-6mdk
- mklibification
- drop patch4 ( merged upstream )
- reintroduce some patches
   o patch0 ( dont run k3bsetup at startup )
   o patch1 ( default group and path )
   o patch3 ( drop /opt/blabla path )
- add really i18n
- clean specfile

* Tue Aug 26 2003 David Baudens <baudens@mandrakesoft.com> 0.9-5mdk
- Remove icon in servicemenu

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-4mdk
- Add patch5: use excludeservicetype

* Sun Aug 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9-3mdk
- drop unapplied patches
- from Angelo N. <random_lx@yahoo.com>:
	o changed 0.8-i18n in i18n-0.9

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9-2mdk
- rebuild
- use -fpermissive to allow compile

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-6mdk
- Add patch4: hide help button in wizard, it doesn't work

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-5mdk
- Add patch3

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-4mdk
- Fix requires

* Fri Mar 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- dlopen libcdda_{interface,paranoia}.so.0 instead of .so
- Requires libcdda0

* Sun Mar 02 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-2mdk
- fix i18n build ( thanx to rcc )
- change default group ( cdrecorder -> cdwriter ) and default 
  path ( /cdrom -> /mnt/cdrom ) in k3bsetup ( thx to rcc )

* Fri Feb 28 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-1mdk
- 0.8.1 ( lot of bugfixs )

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.8-2mdk
- add i18n ( now in a separate tarball )
- patch0 : dont run k3bsetup a startup

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Update

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.7.5-2mdk
- rebuild

* Sun Nov 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix the rpmlint warnings about the menu
- requires kdesu
- add a libdir to the configure call
- add a clean section
- drop id3lib requires

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.7.3-1mdk
- bump to 0.7.3

* Sat Sep 28 2002 Laurent Culioli <laurent@pschit.net> 0.7.1-1mdk
- bump to 0.7.1
- fix kdedesktop2mdkmenu.pl error

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.7-4mdk
- Rebuild with gcc3.2

* Sat Aug 03 2002 Laurent Culioli <laurent@pschit.net> 0.7-3mdk
- Rebuild against libvorbis

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.5mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.4mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.3mdk
- Fix conflict with k3b from kde2 (bug reported by 
  Charles A Edwards <eslrahc@bellsouth.net> thanks a lot )

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-0.pre2.1mdk
- Port to kde3


